Anonymous Login
2019-08-19 03:34 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001638v3.4 Release (Current)Projectspublic2019-01-03 12:53
Reporterjadeye 
Assigned Tocaseydk 
PriorityimmediateSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSubuntuOS Version12.04 LTS
Product Version 
Target VersionFixed in Version 
Summary0001638: DB QUERIES ERRORS - 1 too many
DescriptionPHP Notice: db_error has been deprecated in v3.2 and will be removed in v5.0. Please use w2p_Database_Connection->db_error instead. in includes/deprecated_functions.php on line 584, referer: http://XXX/index.php?a=addedit&m=projects

query failed(INSERT INTO `projects`(`project_company`,`project_name`,`project_short_name`,`project_owner`,`project_color_identifier`,`project_creator`,`project_active`,`project_created`,`project_updated`) VALUES ('1','rtyurtyurtyu','rtyurtyurt','1','FFFFFF','1',1,'2014-11-01 14:56:32','2014-11-01 14:56:32')) - error was: <span style="color:red">Incorrect datetime value: '0000-00-00 00:00:00' for column 'project_end_date_adjusted'
Steps To ReproduceTRY TO CREATE A PROJECT
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003709

jadeye (reporter)

Should I use an earlier version??

~0003710

caseydk (administrator)

What version of mysql are you using?

~0003712

caseydk (administrator)

*bump*

Are you running mysql in Strict Mode?

~0003713

caseydk (administrator)

Resolved:
https://github.com/web2project/web2project/commit/97b1a3eb73b92e5cd73b5578e724cf9646d07296

It was an issue with mysql Strict mode.

~0003927

caseydk (administrator)

In the 31 Dec 2018 release: http://docs.web2project.net/release-notes/3.4.html
+Notes

-Issue History
Date Modified Username Field Change
2014-11-01 08:52 jadeye New Issue
2014-11-01 08:52 jadeye Note Added: 0003709
2014-11-01 16:01 caseydk Note Added: 0003710
2014-11-15 20:34 caseydk Note Added: 0003712
2014-11-15 20:41 caseydk Note Added: 0003713
2014-11-15 20:41 caseydk Status new => resolved
2014-11-15 20:41 caseydk Fixed in Version => 3.3
2014-11-15 20:41 caseydk Resolution open => fixed
2014-11-15 20:41 caseydk Assigned To => caseydk
2016-12-26 23:37 caseydk Project v3.3 Release => v3.4 Release (Current)
2019-01-03 12:53 caseydk Note Added: 0003927
2019-01-03 12:53 caseydk Status resolved => closed
+Issue History